"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs_1 = require("fs");
let __tmplData__ = '';
function getTemplateFile() {
    return path_1.join(__dirname, '../template/nunit3.xml.ejs');
}
function setTemplateData(value) {
    __tmplData__ = value;
    return value;
}
function getTemplateData() {
    return __tmplData__;
}
function loadTemplate() {
    return new Promise((resolve, reject) => {
        const data = getTemplateData();
        if (data) {
            return resolve(data);
        }
        fs_1.readFile(getTemplateFile(), (err, data) => {
            if (err) {
                reject(err);
            }
            else {
                resolve(setTemplateData(data.toString()));
            }
        });
    });
}
exports.loadTemplate = loadTemplate;
