"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mkdirp = require("mkdirp");
function contains(str, text) {
    if (Array.isArray(text)) {
        for (let i = 0; i < text.length; i++) {
            if (contains(str, text[i])) {
                return true;
            }
        }
    }
    else {
        return str.includes(text);
    }
    return false;
}
exports.contains = contains;
function stripControlChars(input) {
    return input && input.replace(/[\x00-\x09\x0B-\x0C\x0E-\x1F\x7F-\x9F]/g, '');
}
exports.stripControlChars = stripControlChars;
function stackTraceFilter(parts) {
    return parts
        .reduce(function (list, line) {
        if (contains(line, ['node_modules', '(node.js:', '(timers.js:', '(events.js:', '(util.js:', '(net.js:'])) {
            return list;
        }
        list.push(line);
        return list;
    }, [])
        .join('\n');
}
exports.stackTraceFilter = stackTraceFilter;
function createReportFolder(output_folder) {
    return new Promise((resolve, reject) => {
        mkdirp(output_folder, err => (err ? reject(err) : resolve()));
    });
}
exports.createReportFolder = createReportFolder;
